Package Gnumed :: Package timelinelib :: Package view :: Module noop :: Class NoOpInputHandler |
[frames] | no frames]

# Class NoOpInputHandler

source code

                   object --+
                            |
    inputhandler.InputHandler --+
                                |
                               NoOpInputHandler

Instance Methods
__init__(self, drawing_area, drawing_area_view) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
left_mouse_down(self, x, y, ctrl_down, shift_down, alt_down=False) | source code
mouse_moved(self, x, y, alt_down=False) | source code
balloon_show_timer_fired(self) | source code
balloon_hide_timer_fired(self) | source code
Inherited from `inputhandler.InputHandler`: `dragscroll_timer_fired`, `left_mouse_up` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, drawing_area, drawing_area_view) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

### left_mouse_down(self, x, y, ctrl_down, shift_down, alt_down=False) | source code
Overrides: inputhandler.InputHandler.left_mouse_down

### mouse_moved(self, x, y, alt_down=False) | source code
Overrides: inputhandler.InputHandler.mouse_moved

### balloon_show_timer_fired(self) | source code
Overrides: inputhandler.InputHandler.balloon_show_timer_fired

### balloon_hide_timer_fired(self) | source code
Overrides: inputhandler.InputHandler.balloon_hide_timer_fired